<?php
	/**
	 * Contains Table for showing stats
	 */

$all_array = false;

if( $views )
{
	$i = 0;

	foreach ($views as $data) {

		$slide_number = $data->slide_index + 1;
		$slide = $data->caption && trim($data->caption) ? trim($data->caption) : __( "Slide " , 'slidedeck' ) . $slide_number;

		$all_array[$slide]['view_count'] = $data->view_count;

		$i++;
	}
}

if( $clicks )
{
	$i = 0;

	foreach ($clicks as $data) {

		$slide_number = $data->slide_index + 1;
	    $slide = $data->caption && trim($data->caption) ? trim($data->caption) : __( "Slide " , 'slidedeck' ) . $slide_number;

		$all_array[$slide]['click_count'] = $data->click_count;
		$i++;
	}
}


 ?>

<table class="slidedeck-hotspots-table" cellpadding="10">

<?php
	if( $all_array ) {
		$i = 0;
		?>
		<tr>
			<th><span class="dashicons dashicons-admin-links"></span><?php _e( 'Slide', 'slidedeck' ); ?></th>
			<th><span class="dashicons dashicons-admin-site"></span><?php _e( 'Clicks' , 'slidedeck' ); ?></th>
			<th><span class="dashicons dashicons-admin-links"></span><?php _e( 'Views', 'slidedeck' ); ?></th>
		</tr>
		<?php
		foreach ($all_array as $key => $data)
		{
			$nclicks = ( isset( $data['click_count'] ) && $data['click_count'] ) ? $data['click_count'] : 'NA';

			$nviews = ( isset( $data['view_count'] ) && $data['view_count'] ) ? $data['view_count'] : 0;

			echo "<tr>";
				echo "<td class='slidedeck-data-image-url'>{$key}</td>";
				echo "<td class='slidedeck-data-caption'>{$nclicks}</td>";
				echo "<td class='slidedeck-data-image-url'>{$nviews}</td>";
			echo "</tr>";

			$i++;
		}
	} else {
		echo "<tr>";
				echo "<td colspan='3' class='slidedeck-empty-data'>This slider is not viewed or clicked yet.</td>";
		echo "</tr>";
	}
 ?>

 </table>
