(function($){

	SlideDeckLens['lens-carousel'] = function(slidedeck){
		var e = $(slidedeck),
            d = e.closest(".slidedeck-frame"),
            s = d.hasClass("sd2-nav-outside") ? !0 : !1,
            t = e.slidedeck(),
            o = e;
        t.loaded(function(e) {
            8 >= slidedeck_ie && e.slides.each(function(d) {
                if ("none" != $(e.slides[d]).css("background-image")) {
                    var s = $(e.slides[d]).css("background-image").match(/url\([\"\'](.*)[\"\']\)/)[1];
                    $(e.slides[d]).css({
                        background: "none"
                    }), e.slides[d].style.filter = "progid:DXImageTransform.Microsoft.AlphaImageLoader(src='" + s + "', sizingMethod='crop')"
                }
            }), o.find(".cover .play").click(function() {
                $(this).parents("dd").addClass("hide-slide-content")
            }), d.hasClass("content-source-custom") || d.find("dd.slide").eq(t.current - 1).hasClass("no-image") && (d.find(".sd2-dot-nav").css("margin-left", -(d.find(".sd2-dot-nav").outerWidth() / 2)).addClass("no-image"), jQuery.data(d.find(".sd2-dot-nav")[0], "centered", !0))
        }), this.dateAdjustments = function() {
            $(".date").each(function() {
                var e = $(this).children(".day");
                2 == e.html().length && e.css("font-size", parseInt(e.css("font-size"), 10) - 5)
            }), deckArrows = d.find("a.deck-navigation.horizontal"), deckArrows.mouseenter(function() {
                var e = $(this);
               // e.addClass("accent-color-background")
            }), deckArrows.mouseleave(function() {
                var e = $(this);
               // e.removeClass("accent-color-background")
            })
        }, this.dotNavigation = function() {
            if (!d.hasClass("no-nav")) {
                var o = e.find("dd.slide").length,
                    a = '<ul class="sd2-dot-nav"></ul>';
                $(a).appendTo(d);
                var c = d.find(".sd2-dot-nav");
                for (i = 0; o > i; i++) $("<li />").appendTo(c);
                var r = c.find("li");
                c.css("width", o * (r.outerWidth() + 10) - 10), s || d.hasClass("sd2-small") ? c.css("margin-left", -(c.outerWidth() / 2)) : c.css("margin-left", d.find(".slide-content").outerWidth() / 2 - c.outerWidth() / 2), r.eq(t.current - 1).addClass("carousel-color-background"), r.bind("click", function() {
                    var e = $(this);
                    t.goTo(e.index() + 1), r.removeClass("carousel-color-background"), e.addClass("carousel-color-background")
                })
            }
        };
        var a = t.options.complete;
        t.setOption("complete", function() {
            "function" == typeof a && a(t)
        });
        var c = t.options.before;
        return t.setOption("before", function(n) {
            "function" == typeof c && c(n);
            var e = d.find(".sd2-dot-nav").find("li");
            e.removeClass("carousel-color-background"), e.eq(n.current - 1).addClass("carousel-color-background"), d.hasClass("sd2-small") || s || (d.find("dd.slide").eq(n.current - 1).hasClass("no-image") ? jQuery.data(d.find(".sd2-dot-nav")[0], "centered") || d.find(".sd2-dot-nav").fadeOut(Math.round(n.options.speed / 2), function() {
                d.find(".sd2-dot-nav").css({
                    "margin-left": d.find(".sd2-dot-nav").outerWidth() / 2 * -1,
                    left: "50%"
                }), jQuery.data(d.find(".sd2-dot-nav")[0], "centered", !0), d.find(".sd2-dot-nav").fadeIn(Math.round($.options.speed / 2))
            }) : jQuery.data(d.find(".sd2-dot-nav")[0], "centered") && d.find(".sd2-dot-nav").fadeOut(Math.round($.options.speed / 2), function() {
                var e = Math.round(d.find(".sd2-dot-nav").outerWidth() / 2);
                d.find(".sd2-dot-nav").css({
                    "margin-left": -1 * e,
                    left: "75%"
                }), jQuery.data(d.find(".sd2-dot-nav")[0], "centered", !1), d.find(".sd2-dot-nav").fadeIn(Math.round($.options.speed / 2))
            }))
        }), this.deckSizes = function() {
            d.hasClass("sd2-small") && d.find("dd.slide-type-video .cover .play").each(function() {
                var e = $(this);
                e.clone(!1).appendTo($(this).parents("dd").find(".slide-content")).bind("click", function($) {
                    $.preventDefault(), e.click()
                })
            })
        }, t.slides.find(".sd2-slide-title").removeClass("accent-color"), t.slides.find(".play-video-alternative").addClass("accent-color"), this.dotNavigation(), this.dateAdjustments(), this.deckSizes(), !0
        var slidedeck = $(slidedeck);
        var slidedeckFrame = slidedeck.closest('.slidedeck-frame');
        var deck = slidedeck.slidedeck();
        var deckElement = slidedeck;

        // Only for IE - detect background image url and update style for DD element
        if( slidedeck_ie <= 8.0 ){
            deck.slides.each(function(ind){
                var imageDiv = $(deck.slides[ind]).find('div.image');
                var shadowDiv = $(deck.slides[ind]).find('div.sd2-shadow-element');
                var tapeDiv = $(deck.slides[ind]).find('div.sd2-tape-element');
                if( imageDiv.css('background-image') != 'none' ){
                    var imgurl = imageDiv.css('background-image').match( /url\([\"\'](.*)[\"\']\)/ )[1];

                    // IE8 has issues with background image AND relative paths...
                    shadowDiv.css({
                        background: 'none'
                    });
                    tapeDiv.css({
                        background: 'none'
                    });

                    imageDiv.css({
                        background: 'none'
                    });
                    imageDiv[0].style.filter = "progid:DXImageTransform.Microsoft.AlphaImageLoader(src='" + imgurl + "', sizingMethod='scale')";
                };
            });
        }

        // For stacked layout
        if( slidedeckFrame.hasClass( 'layout-stacked' ) ){
            deck.slides.each(function(ind){
                var slide = deck.slides.eq(ind).find('.slide-content');

                var rotate = Math.round(Math.random() * 2.5);
                if(Math.round(Math.random()) == 0){
                    rotate = 0 - rotate;
                }

                var slideCSS = {};
                    slideCSS['-webkit-transform-origin'] = '50% 50%';
                    slideCSS['-moz-transform-origin'] = '50% 50%';
                    slideCSS['-o-transform-origin'] = '50% 50%';
                    slideCSS['transform-origin'] = '50% 50%';
                    slideCSS['-webkit-transform'] = 'rotate3d(0,0,1,' + rotate + 'deg) scale3d(0.8,0.8,0.8)';
                    slideCSS['-moz-transform'] = 'rotate(' + rotate + 'deg) scale(0.8)';
                    slideCSS['-o-transform'] = 'rotate(' + rotate + 'deg) scale(0.8)';
                    slideCSS['transform'] = 'rotate(' + rotate + 'deg) scale(0.8)';

                slide.css(slideCSS);

            });
        }

        // rotate tape
        deck.slides.each(function(ind){
            var tape = deck.slides.eq(ind).find('.sd2-tape-element');

            var rotate = Math.round(Math.random() * 4);
            if(Math.round(Math.random()) == 0){
                rotate = 0 - rotate;
            }

            var tapeCSS = {};
                tapeCSS['-webkit-transform-origin'] = '50% 50%';
                tapeCSS['-moz-transform-origin'] = '50% 50%';
                tapeCSS['-o-transform-origin'] = '50% 50%';
                tapeCSS['transform-origin'] = '50% 50%';
                tapeCSS['-webkit-transform'] = 'rotate3d(0,0,1,' + rotate + 'deg) scale3d(0.8,0.8,0.8)';
                tapeCSS['-moz-transform'] = 'rotate(' + rotate + 'deg) scale(0.8)';
                tapeCSS['-o-transform'] = 'rotate(' + rotate + 'deg) scale(0.8)';
                tapeCSS['transform'] = 'rotate(' + rotate + 'deg) scale(0.8)';

            tape.css(tapeCSS);

        });

        var oldBefore = deck.options.before;
        deck.options.before = function(){
            // If the old before option was a function, run it
            if(typeof(oldBefore) == 'function')
                oldBefore(deck);

            addClasses( deck );

            if( !$.data(slidedeckFrame, 'added-transitions') ){
                $.data(slidedeckFrame, 'added-transitions', true );
                var transitionSpeed = deck.options.speed / 4;

                deck.slides.find('.slide-content, .paper').css({
                    '-webkit-transition': 'all ' + transitionSpeed + 'ms cubic-bezier(0.000, 0.000, 0.230, 0.995)',
                    '-moz-transition': 'all ' + transitionSpeed + 'ms cubic-bezier(0.000, 0.000, 0.230, 0.995)',
                    '-o-transition': 'all ' + transitionSpeed + 'ms cubic-bezier(0.000, 0.000, 0.230, 0.995)',
                    'transition': 'all ' + transitionSpeed + 'ms cubic-bezier(0.000, 0.000, 0.230, 0.995)',
                });

            }
        }

        deck.loaded( function(){
            addClasses( deck );
            fixHeight();
        });

        var fixHeight = function() {
            if( !slidedeckFrame.hasClass( 'sd2-show-circular-frame' ) ) {
                if( slidedeckFrame.hasClass( 'layout-stacked' ) ) {
                    slidedeckFrame.find('dd .paper .image').css({
                        height: slidedeckFrame.find('dd .paper .image:first').width()
                    });
                }
            }

        }

        var addClasses = function( deck ){
            // Add some classes to the slides that are before and after
            deck.slides.each(function(ind){
                var current = deck.current - 1;
                if( ind < current ){
                    $(deck.slides[ind]).removeClass('after-slide').addClass('before-slide');
                }else if( ind > current ){
                    $(deck.slides[ind]).removeClass('before-slide').addClass('after-slide');
                }
            });
        }
	};

    $(document).ready(function(){
        $('.lens-carousel .slidedeck').each(function(){
            if(typeof($.data(this, 'lens-carousel')) == 'undefined'){
                $.data(this, 'lens-carousel', new SlideDeckLens['lens-carousel'](this));
            }
        });
    });
})(jQuery);
