(function($){
	var ajaxOptions = [
        "options[layout_style]"
	];
	for(i = 0; i < ajaxOptions.length; i++){
		SlideDeckPreview.ajaxOptions.push(ajaxOptions[i]);
	}

    $(document).ready(function(){
    	$('#options-layout_style').change(function(event){
    	    // if( $(this).val() == 'layout-stacked' ){
    	    //     $('#options-slideTransition').val('stack');
    	    // }else{
    	    //     $('#options-slideTransition').val('slide');
    	    // }
    	    if( $(this).val() == 'layout-three-wide' || $(this).val() == 'layout-peek' ) {
    	        $('#options-start').val('2');
            } else if( $(this).val() == 'layout-five-wide' || $(this).val() == 'layout-peek5' ) {
                $('#options-start').val('3');
            }
        });

        SlideDeckPreview.updates['options[hide-image-link]'] = function($elem, value){
            value = value == 1 ? true : false;
            if(value){
                SlideDeckPreview.elems.slidedeckFrame.addClass(SlideDeckPrefix + 'hide-image-link');
            } else {
                SlideDeckPreview.elems.slidedeckFrame.removeClass(SlideDeckPrefix + 'hide-image-link');
            }
        };

        SlideDeckPreview.updates['options[show-likes]'] = function($elem, value){
            value = value == 1 ? true : false;
            if(value){
                SlideDeckPreview.elems.slidedeckFrame.addClass(SlideDeckPrefix + 'show-likes');
            } else {
                SlideDeckPreview.elems.slidedeckFrame.removeClass(SlideDeckPrefix + 'show-likes');
            }
        };

        SlideDeckPreview.updates['options[show-circular-frame]'] = function($elem, value){
            value = value == 1 ? true : false;
            if(value){
                SlideDeckPreview.elems.slidedeckFrame.addClass(SlideDeckPrefix + 'show-circular-frame');
                SlideDeckPreview.elems.slidedeckFrame.removeClass(SlideDeckPrefix + 'show-drop-shadow');
                SlideDeckPreview.elems.slidedeckFrame.removeClass(SlideDeckPrefix + 'show-tape');
                $('#options-show-drop-shadow-on').removeAttr('checked');
                $('label[for=options-show-drop-shadow-on]').removeClass('on');
                $('label[for=options-show-drop-shadow-off]').addClass('on');
                $('#options-show-drop-shadow-off').attr('checked', true);
                $('#options-show-tape-on').removeAttr('checked');
                $('label[for=options-show-tape-on]').removeClass('on');
                $('label[for=options-show-tape-off]').addClass('on');
                $('#options-show-tape-off').attr('checked', true);
                $('#options-show-drop-shadow-off').parent().parent().parent().css('display','none');
                $('#options-show-tape-off').parent().parent().parent().css('display','none');
            } else {
                SlideDeckPreview.elems.slidedeckFrame.removeClass(SlideDeckPrefix + 'show-circular-frame');
                $('#options-show-drop-shadow-off').parent().parent().parent().css('display','block');
                $('#options-show-tape-off').parent().parent().parent().css('display','block');
            }
        };

        SlideDeckPreview.updates['options[show-drop-shadow]'] = function($elem, value){
            value = value == 1 ? true : false;
            if(value){
                SlideDeckPreview.elems.slidedeckFrame.addClass(SlideDeckPrefix + 'show-drop-shadow');
            } else {
                SlideDeckPreview.elems.slidedeckFrame.removeClass(SlideDeckPrefix + 'show-drop-shadow');
            }
        };

        SlideDeckPreview.updates['options[show-tape]'] = function($elem, value){
            value = value == 1 ? true : false;
            if(value){
                SlideDeckPreview.elems.slidedeckFrame.addClass(SlideDeckPrefix + 'show-tape');
            } else {
                SlideDeckPreview.elems.slidedeckFrame.removeClass(SlideDeckPrefix + 'show-tape');
            }
        };

        SlideDeckPreview.updates['options[arrow-style]'] = function($elem, value){
            $elem.find('option').each(function(){
                if(this.value != value){
                    SlideDeckPreview.elems.slidedeckFrame.removeClass(SlideDeckPrefix + this.value);
                } else {
                    SlideDeckPreview.elems.slidedeckFrame.addClass(SlideDeckPrefix + this.value);
                }
            });
        };

	});
})(jQuery);
